Subject: Re: bug#19696: Acknowledgement (24.4; python.el: blank line eldoc error)

From: [email-masked] (Fabián Ezequiel Gallina)
Date: Wed, 04 Feb 2015 19:38:55 -0300

Stefan Monnier <[email-masked]> writes:
>
> OK, thanks.  I know that Fabián has worked on master's python.el using
> an older version of Emacs (at some point in the past at least), so maybe
> python.el should be fixed to handle that case (e.g. checking if
> eldoc-documentation-function is nil before using `add-function' on it).
>

I want to keep the master's python.el compatible with Emacs 24 to the
maximum extent possible, to the point that if something doesn't work
with Emacs 24.x, I consider it a bug.  I'll be checking this later on,
but mind you I'm not finding much hacking time lately, so don't hold
your breath.

Cheers,
Fabián